com.sun.jna.platform.win32

## Class BaseTSD.ULONG_PTR

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.BaseTSD.ULONG_PTR

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Direct Known Subclasses:
    BaseTSD.SIZE_T
  Enclosing interface:
    BaseTSD

      public static class BaseTSD.ULONG_PTR
      extends IntegerType

  Unsigned LONG_PTR.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTSD.ULONG_PTR()`
    `BaseTSD.ULONG_PTR(long value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pointer` | `toPointer()`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseTSD.ULONG_PTR

          public BaseTSD.ULONG_PTR()

    - #### BaseTSD.ULONG_PTR

          public BaseTSD.ULONG_PTR(long value)

  - ### Method Detail

    - #### toPointer

          public Pointer toPointer()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.